Subject: perl in CYGWIN latest release
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Mon, 19 Mar 2001 21:20:24 -0500

Hello;

I've posted this question to the relevant discussion lists and newsgroups with no replies.
Since this build of perl was distributed as part of the latest CYGWIN distribution, I hope you'll be willing to help.

Does this build of perl plac an upper limit on the size of interpreter's dynamic heap?

As delivered, perl is built with usemymalloc = y.  The system has 512MB of memory and 2GB of page swap.  With no other processes running, the interpreter dies with total sbrk() at about 290MB.  With perl 5.6.0 under Solaris 2.7, the same script acquires the roughly 400MB it needs.  But the production system must be on the NT box.

I need to know if this is a limitation arising from perl or from Windows NT.

Thanks very much for any help.

Please feel free to respond to me at [email-masked].  I'm using the Netscape mail service because your system rejects my direct email.

Allan Branscomb
University of Oregon

__________________________________________________________________
Get your own FREE, personal Netscape Webmail account today at http://webmail.netscape.com/

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple